X11.XGenericEventCookie (JNA API)

com.sun.jna.platform.unix

## Class X11.XGenericEventCookie

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XGenericEventCookie

- Enclosing interface:
    X11

      @Structure.FieldOrder(value={"type","serial","send_event","display","extension","evtype","cookie","data"})
      public static class X11.XGenericEventCookie
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cookie`
    `Pointer` | `data`
    `X11.Display` | `display`
    `int` | `evtype`
    `int` | `extension`
    `int` | `send_event`
    `NativeLong` | `serial`
    `int` | `type`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XGenericEventCookie()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public int type

    - #### serial

          public NativeLong serial

    - #### send_event

          public int send_event

    - #### display

          public X11.Display display

    - #### extension

          public int extension

    - #### evtype

          public int evtype

    - #### cookie

          public int cookie

    - #### data

          public Pointer data

  - ### Constructor Detail

    - #### XGenericEventCookie

          public XGenericEventCookie()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.